import { CalendarViewGenerator } from './calendar-view-generator.abstract';
import { CalendarView } from '../calendar-view';
/**
 * Day view calendar generator
 */
export class DayViewGenerator extends CalendarViewGenerator {
  /**
   * @inheritDoc
   */
  generate(period) {
    return new CalendarView([this.generateWeekHead()[period.current.toDate().getDay()]], [[period.current]]);
  }
}
